Subject: Silk Moths

From: [email-masked] (Louise O'donnell)
Date: 4 Apr 1995 22:12:50 GMT

Please forgive me if this post is not done correctly as I am new and not 
 sure how this is done. I am currently working on a project that is 
 centered on silk. I am in need of silk cocoons, of all kinds, colors, 
 and shapes. If anyone has any they would like to get rid of please let  
 me know. The condition of the cocoon is not to important.. the silk 
 is what I need. 
 Please email me at the address below. And thank you for any help or 
 suggestions would be greatly appreciated.
  Louise O'Donnell
 [email-masked]